Create
Create a new channel with initial participants.
Channel creation and initial participant assignment are coupled here as a channel requires participants to be meaningful. Further participant management should use POST /channels/{id}/participants.
Authentication
Authorizationstring
API Key authentication via header
Request
This endpoint expects an object.
type
The type of communication used for the channel.
name
The name of the channel.
participants
Participants in the channel. Must include at least one agent and one user.
channel_type
The type of channel.
source
Which application created the channel.
meta_data
ai_name_pending
Whether to generate an AI channel name from the first user message.
Response
Successful Response
id
The ID of the channel.
type
The type of communication used for the channel.
channel_type
The type of channel.
name
The name of the channel.
participants
Participants in the channel.
created_at
When the channel was created.
modified
When the channel was last modified.
meta_data
source
Which application created the channel.
agent_invocation_behavior
Defines the response behavior of agents in channels.
parent_channel_id
The ID of the parent channel, if this is a thread.
origin_message_id
The event/message ID that originated this thread.
Errors
422
Unprocessable Entity Error
